Payments & FinancePayments
Get payment settings
GET
/v1/payments/settingsGet payment settings. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/payments/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "storeId": "7204558912004325301", "captureMode": "automaticAtCheckout", "manualPaymentsEnabled": false, "defaultConnectionId": "7204558912004325301"}